# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.504   -> 1.505  
#	drivers/usb/core/usb.c	1.78    -> 1.79   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/08/13	greg@kroah.com	1.505
# USB: check to see if we have a disconnect function before trying to call it.
# --------------------------------------------
#
diff -Nru a/drivers/usb/core/usb.c b/drivers/usb/core/usb.c
--- a/drivers/usb/core/usb.c	Tue Aug 13 15:33:53 2002
+++ b/drivers/usb/core/usb.c	Tue Aug 13 15:33:53 2002
@@ -137,7 +137,7 @@
 	driver = intf->driver;
 	priv = intf->private_data;
 	
-	if (!driver)
+	if (!driver || !driver->disconnect)
 		return;
 
 	/* as soon as we increase the module use count we drop the BKL
